Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
FSMInspector Class Reference
Inheritance diagram for FSMInspector:

## Public Member Functions
| __init__ (self, fsm, **kw)
| addState (self, state)
| appInit (self)
| USER METHODS ### To be overridden.
| canvas (self)
| computeEndpoints (self, fromState, toState)
| computePoint (self, radius, angle)
| connectStates (self, fromState, toState)
| createInterface (self)
| createStateInspectors (self)
| drawConnections (self, event=None)
| enteredState (self, stateName)
| exitedState (self, stateName)
| findAngle (self, fromPoint, toPoint)
| getStateInspector (self, name)
| mouse2Down (self, event)
| mouse2Motion (self, event)
| onDestroy (self, event)
| popupGridDialog (self)
| printLayout (self)
| scrolledCanvas (self)
| setFontSize (self, size)
| setGridSize (self, size)
| setMarkerSize (self, size)
| toggleBalloon (self)
| toggleGridSnap (self)
Public Member Functions inherited from AppShell
| __init__ (self, parent=None, **kw)
| addVariable (self, category, text, variable)
| addWidget (self, category, text, widget)
| WIDGET UTILITY FUNCTIONS ##.
| alignbuttons (self)
| balloon (self)
| bind (self, child, balloonHelpMsg, statusHelpMsg=None)
| buttonAdd (self, buttonName, helpMessage=None, statusMessage=None, **kw)
| buttonBox (self)
| createMenuBar (self)
| createWidget (self, parent, category, text, widgetClass, help, command, side, fill, expand, kw)
| getVariable (self, category, text)
| getWidget (self, category, text)
| interior (self)
| messageBar (self)
| newCreateButton (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateCheckbutton (self, parent, category, text, help='', command=None, initialState=0, anchor=W, side=LEFT, fill=X, expand=0, **kw)
| newCreateColorEntry (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateComboBox (self, parent, category, text, help='', command=None, items=[], state=DISABLED, history=0, labelpos=W, label_anchor=W, label_width=16, entry_width=16, side=LEFT, fill=X, expand=0, **kw)
| newCreateDial (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateEntryScale (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateFloater (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateLabeledEntry (self, parent, category, text, help='', command=None, value='', width=12, relief=SUNKEN, side=LEFT, fill=X, expand=0)
| newCreateOptionMenu (self, parent, category, text, help='', command=None, items=[], labelpos=W, label_anchor=W, label_width=16, menu_tearoff=1, side=LEFT, fill=X, expand=0, **kw)
| newCreateRadiobutton (self, parent, category, text, variable, value, command=None, help='', anchor=W, side=LEFT, fill=X, expand=0, **kw)
| newCreateSider (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateVector2Entry (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| newCreateVector3Entry (self, parent, category, text, help='', command=None, side=LEFT, fill=X, expand=0, **kw)
| quit (self)
| showAbout (self)
| transformRGB (self, rgb, max=1.0)
| updateProgress (self, newValue=0, newMax=0)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| drawConnections = BOTH)
| fsm = fsm
| mouse2Down
| mouse2Motion
| name = self.fsm.getName()
dict | stateInspectorDict = {}
list | states = []
Public Attributes inherited from AppShell
| about
| dataArea
str | id = self.appname + '-' + repr(AppShell.panelCount)
| menuBar
| menuFrame = Frame(self._hull)
| parent = Toplevel()
| toggleBalloonVar = IntVar()
dict | variableDict = {}
dict | widgetDict = {}

## Protected Member Functions
| _setGridSize (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
| _2lx = event.x
| _2ly = event.y
| _canvas = self._scrolledCanvas.component('canvas')
| _dxview = xview[1] - xview[0]
| _dyview = yview[1] - yview[0]
| _fGridSnap = IntVar()
| _gridSize = self['gridSize']
float | _height = 1.0 * self._canvas.winfo_height()
| _left = xview[0]
| _scrolledCanvas
| _top = yview[0]
float | _width = 1.0 * self._canvas.winfo_width()
Protected Attributes inherited from AppShell
| _hull = self.component('hull')
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Additional Inherited Members
Static Public Attributes inherited from AppShell
str | appname = 'Generic Application Frame'
str | appversion = '1.0'
str | balloonState = 'none'
str | contactemail = 'Mark.Mine@disney.com'
str | contactname = 'Mark R. Mine'
str | contactphone = '(818) 544-2921'
tuple | copyright
int | frameHeight = 320
int | frameWidth = 450
int | padx = 5
int | pady = 5
int | panelCount = 0
int | usecommandarea = 0
int | usestatusarea = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | fsm,
|  | ** | kw )

## Member Function Documentation

## ◆ _setGridSize()

_setGridSize | ( |  | self | ) |
| protected

## ◆ addState()

addState | ( |  | self,
|  |  | state )

## ◆ appInit()

appInit | ( |  | self | ) |

USER METHODS ### To be overridden.

Reimplemented from AppShell.

## ◆ canvas()

canvas | ( |  | self | ) |

## ◆ computeEndpoints()

computeEndpoints | ( |  | self,
|  |  | fromState,
|  |  | toState )

## ◆ computePoint()

computePoint | ( |  | self,
|  |  | radius,
|  |  | angle )

## ◆ connectStates()

connectStates | ( |  | self,
|  |  | fromState,
|  |  | toState )

## ◆ createInterface()

createInterface | ( |  | self | ) |

Reimplemented from AppShell.

## ◆ createStateInspectors()

createStateInspectors | ( |  | self | ) |

## ◆ drawConnections()

drawConnections | ( |  | self,
|  |  | event = None )

## ◆ enteredState()

enteredState | ( |  | self,
|  |  | stateName )

## ◆ exitedState()

exitedState | ( |  | self,
|  |  | stateName )

## ◆ findAngle()

findAngle | ( |  | self,
|  |  | fromPoint,
|  |  | toPoint )

## ◆ getStateInspector()

getStateInspector | ( |  | self,
|  |  | name )

## ◆ mouse2Down()

mouse2Down | ( |  | self,
|  |  | event )

## ◆ mouse2Motion()

mouse2Motion | ( |  | self,
|  |  | event )

## ◆ onDestroy()

onDestroy | ( |  | self,
|  |  | event )

     Called on ClassicFSM Panel shutdown

Reimplemented from AppShell.

## ◆ popupGridDialog()

popupGridDialog | ( |  | self | ) |

## ◆ printLayout()

printLayout | ( |  | self | ) |

## ◆ scrolledCanvas()

scrolledCanvas | ( |  | self | ) |

## ◆ setFontSize()

setFontSize | ( |  | self,
|  |  | size )

## ◆ setGridSize()

setGridSize | ( |  | self,
|  |  | size )

## ◆ setMarkerSize()

setMarkerSize | ( |  | self,
|  |  | size )

## ◆ toggleBalloon()

toggleBalloon | ( |  | self | ) |

Reimplemented from AppShell.

## ◆ toggleGridSnap()

toggleGridSnap | ( |  | self | ) |

## Member Data Documentation

## ◆ _2lx

_2lx = event.x
| protected

## ◆ _2ly

_2ly = event.y
| protected

## ◆ _canvas

_canvas = self._scrolledCanvas.component('canvas')
| protected

## ◆ _dxview

_dxview = xview[1] - xview[0]
| protected

## ◆ _dyview

_dyview = yview[1] - yview[0]
| protected

## ◆ _fGridSnap

_fGridSnap = IntVar()
| protected

## ◆ _gridSize

_gridSize = self['gridSize']
| protected

## ◆ _height

float _height = 1.0 * self._canvas.winfo_height()
| protected

## ◆ _left

_left = xview[0]
| protected

## ◆ _scrolledCanvas

_scrolledCanvas
| protected

Initial value:
= self.createcomponent('scrolledCanvas',
(), None,
Pmw.ScrolledCanvas, (interior,),
hull_width = 400, hull_height = 400,
usehullsize = 1)

## ◆ _top

_top = yview[0]
| protected

## ◆ _width

float _width = 1.0 * self._canvas.winfo_width()
| protected

## ◆ drawConnections

drawConnections = BOTH)

## ◆ fsm

fsm = fsm

## ◆ mouse2Down

mouse2Down

## ◆ mouse2Motion

mouse2Motion

## ◆ name

name = self.fsm.getName()

## ◆ stateInspectorDict

dict stateInspectorDict = {}

## ◆ states

list states = []